internal::join_base< N, PT, OutputTuple, JP > Struct Template Reference

`#include <_flow_graph_join_impl.h>`

Collaboration diagram for internal::join_base< N, PT, OutputTuple, JP >:

## Public Types

typedef internal::join_node_base< JP, typename wrap_tuple_elements< N, PT, OutputTuple >::type, OutputTuple > | type

## Detailed Description

### template<int N, template< class > class PT, typename OutputTuple, typename JP>
struct internal::join_base< N, PT, OutputTuple, JP >

Definition at line 1488 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## type

template<int N, template< class > class PT, typename OutputTuple, typename JP>

typedef internal::join_node_base<JP, typename wrap_tuple_elements<N,PT,OutputTuple>::type, OutputTuple> internal::join_base< N, PT, OutputTuple, JP >::type

Definition at line 1489 of file _flow_graph_join_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.